

package gov.va.med.cds.mediator.work;


import gov.va.med.cds.junit.runners.Suite;
import gov.va.med.cds.junit.runners.SuiteAwareRunner;

import org.junit.Test;
import org.junit.runner.RunWith;


@RunWith( SuiteAwareRunner.class )
public class StringComparisonConditionalForkingWorkFlowTest
{
    StringComparisonConditionalForkingWorkFlowExtends stringComparisonConditionalForkingWorkFlowExtends = new StringComparisonConditionalForkingWorkFlowExtends();
    WorkStateInterface workState = new MapBackedWorkState();

    {
        workState.registerWorkState( "wsnWorkStateToCompare", "wsnWorkStateToCompare" );
    }


    @Test
    @Suite( groups = { "checkintest" } )
    public void testStringComparisonConditionalForkingWorkFlow_STARTS_WITH( )
    {
        stringComparisonConditionalForkingWorkFlowExtends.setComparisonType( "STARTS_WITH" );
        stringComparisonConditionalForkingWorkFlowExtends.evaluateCondition( workState );
    }


    @Test
    @Suite( groups = { "checkintest" } )
    public void testStringComparisonConditionalForkingWorkFlow_ENDS_WITH( )
    {
        stringComparisonConditionalForkingWorkFlowExtends.setComparisonType( "ENDS_WITH" );
        stringComparisonConditionalForkingWorkFlowExtends.evaluateCondition( workState );
    }


    @Test
    @Suite( groups = { "checkintest" } )
    public void testStringComparisonConditionalForkingWorkFlow_CONTAINS( )
    {
        stringComparisonConditionalForkingWorkFlowExtends.setComparisonType( "CONTAINS" );
        stringComparisonConditionalForkingWorkFlowExtends.evaluateCondition( workState );
    }


    @Test
    @Suite( groups = { "checkintest" } )
    public void testStringComparisonConditionalForkingWorkFlow_EQUALS( )
    {
        stringComparisonConditionalForkingWorkFlowExtends.setComparisonType( "EQUALS" );
        stringComparisonConditionalForkingWorkFlowExtends.evaluateCondition( workState );
    }
}
